/* file  : agile.css
   author: mics
   date  : July 2009
*/

a, a code {
  color:#006699;
  text-decoration:none;
}

a.external, a.external code {
  white-space: nowrap;
  padding-right: 14px;
  background: url(../images/external.png) no-repeat 100% 50%;
}

a.pdf, a.pdf code {
  white-space: nowrap;
  padding-right: 14px;
  background: url(../images/pdf-link.png) no-repeat 100% 50%;
}

a.zip, a.zip {
  white-space: nowrap;
  padding-right: 14px;
  background: url(../images/zip-link.png) no-repeat 100% 50%;
}

@media print {

a.external, a.external code {
  padding-right: 0px;
  background: url(../images/external.png) no-repeat 0%;
}

a.pdf, a.pdf code {
  padding-right: 0px;
  background: url(../images/pdf-link.png) no-repeat 0%;
}

a.zip, a.zip {
  padding-right: 0px;
  background: url(../images/zip-link.png) no-repeat 0%;
}

}

a:active, a:active code {
  color:#f00;
} 

a:visited, a:visited code {
  color:#00008B;
}

a.bull {
  font-size:0.75em;
  color:#94b922;
  margin:0 0 0 -2.22em;
}

blockquote.caution, blockquote.note, blockquote.warning {
  margin:0 8em 1em 4em;
  padding:0 0.5em 0 0.5em;
  /*background-color:#eeeeee;*/
  border-left:solid 3px;
  font-size:80%;
}

blockquote.caution {
  border-color:#ffcf00;
}

blockquote.note {
  border-color:#ffcf00;
}

blockquote.warning {
  border-color:#aa0033;
}

body {
  font-family:arial,sans-serif;
  color:#000;
  font-size:14px;
  color:#333;
  background-image:url(../images/bg_fade_agile.jpg);
  background-repeat:repeat-x;
}

code, pre {
  font-family:monospace;
  font-size:90%;
  /*line-height:1em;*/
}

code span.atr {
  color:green;
}

code span.lit {
  color:#ee44aa;
}

code span.tag {
  font-weight:bold;
  color:green;
}

#about div { font-size:x-small; color:#444466; }
#about div.about-left { float:left; padding:0 0.8em 0 1.4em; }
#about div.about-right { margin:0 4em 0 1.4em; }

@media print {
  #about div.about-right { margin:0 1.2em 0 1.2em; }
}

div.editor { font-size:80%; color:#999999; }

div.footer-info {
  clear:both;
  font-size:small;
  font-style:italic;
  color:gray;
}

div.footer-info hr {
  background-color: #89dafe;
  border:none;
  height:1px;
  margin:20px 4px 0 0;
}

div.footer-navi {
  float:right;
  color:blue;
  padding:0 4px 4px 0;
}

div.footer-validate {
  float:right;
  padding-right:4px;
  font-style:normal;
  font-size:x-small;
  color:blue;
}

@media print {

  div.footer-info hr {
    border:#9aebfc solid 1px;
    height:1px;
  }

  div.footer-navi {
    display:none;
  }

  div.footer-validate {
    display:none;
  }

}

div.footer-validate a {
  color:blue;
}

div.header-left {
  float:left;
  width:80%;
}

div.header-left h1 {
  color:gray;
}

div.header-right {
  float:right;
  text-align:right;
  padding:4px 4px 0 0;
  color:#348df9;
}

div.header-right a {
  color:#348df9;
}

@media print {

  div.header-right {
    display:none;
  }

}

div.footnote {
  font-style:italic;
  color:red;
}

div.section-navi {
  float:right;
  color:#94b922;
  padding:0 4px 4px 0;
}

@media print {

  div.section-navi {
    display:none;
  }

}

div.section-info {
  clear:both;
  font-size:small;
  font-style:italic;
  color:gray;
}

div.section-info hr {
  background-color:#89dafe; /*#e1f8ff;*/
  border:none;
  height:2px;
  margin:20px 4px 0 0;
}

@media print {

  div.section-info hr {
    border:#e1f8ff solid 1px;
    height:1px;
  }

}

h1 {
  color:gray;
}

h4.header {
  margin:-1.2em 0 0.2em 0;
  font-style:italic;
  color:gray; /*lightgray;*/
}

hr {
  background-color:#89dafe; /*#ca0000;*/
  border:none;
  height:2px;
}

hr.header {
  background-color:#e1f8ff;
  height:3px;
  margin:20px 4px 30px 0;
}

@media print {

  hr {
    border:#9aebfc solid 1px;
    height:0px;
  }

  hr.header {
    border:#9aebfc solid 1px;
    height:1px;
  }

}

li {
  padding:0 0 0.4em 0;
}

li span.date {
  font-style:italic;
}

p.table-caption {
  margin:1em 0 0.5em 1.8em;
  font-size:80%;
}

p.table-footnote {
  margin:-0.8em 0 0 1.8em;
  font-size:70%;
}

pre { /* see android-developer-docs.css */
  border:1px solid #ccc;
  background-color:#fafafa;
  padding:10px;
  margin:0 2em 1em 1em;
  overflow:auto;
  line-height:inherit; /* fixes vertical scrolling in webkit */
}

pre span.ano {
  color:green;
}

pre span.atr {
  color:green;
}

pre span.cmt {
  font-style:italic;
  color:blue;
}

pre span.kw, code span.kw {
  font-weight:bold;
  color:#444444;
}

pre span.num {
  color:green;
}

pre span.tag {
  font-weight:bold;
  color:green;
}

pre span.upd {
  text-decoration:underline;
}

pre span.lit {
  color:#ee44aa;
}

@media print { /* see android-developer-docs.css */

  pre {
    /* these allow lines to break (if there's a white space) */
    overflow:visible;
    /* text-wrap:unrestricted; */
    /* white-space:-moz-pre-wrap; */ /* Moz */
    /* white-space:-pre-wrap; */ /* Opera 4-6 */
    /* white-space:-o-pre-wrap; */ /* Opera 7 */
    white-space:pre-wrap; /* CSS3  */
    /* word-wrap:break-word; */ /* IE 5.5+ */
  }

  table, img {
    page-break-inside:avoid;
  }

}

table { /* see android-developer-docs.css */
  font-size:1em;
  margin:0 0 1em 1.4em;
  padding:0;
  border-collapse:collapse;
  border-width:0;
  empty-cells:show;
}

td,th {
  border:1px solid #ccc;
  padding:6px 12px;
  text-align:left;
  vertical-align:top;
  background-color:inherit;
}

table.results td,th {
  padding:8px;
  text-align:center;
  font-size:80%;
  line-height:0.8em;
}

th {
  background-color:#dee8f1;
}

ol, ul {
  padding:0 0 0 1.8em;
}

.sup {
  font-size:0.7em;
  color:blue;
  text-decoration:none;
  vertical-align:top;
  line-height:0.8em;
}

.book-info {
  margin:8px 60px 0 8px;
  padding:4px;
  background-color:#eeeeee;
  font-size:80%;
}

.title {
  font-style:italic;
}

.comment {
  font-style:italic;
  color:gray;
}

table .comment {
  text-align:center;
}

.cls {
  font-size:80%;
  color:gray;
}

